# SceneModePickerViewModel

#### new Cesium.SceneModePickerViewModel(scene, duration)
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 20

The view model for `SceneModePicker`.

Name | Type | Default | Description
--- | --- | --- | ---
`scene` | Scene |  | The Scene to morph
`duration` | number | `2.0` | optional The duration of scene morph animations, in seconds

### Members

#### dropDownVisible : boolean
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 52

Gets or sets whether the button drop-down is currently visible. This property is observable.

Default Value: `false`

#### duration : number
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 137

Gets or sets the the duration of scene mode transition animations in seconds. A value of zero causes the scene to instantly change modes.

#### morphTo2D : Command
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 170

Gets the command to morph to 2D.

#### morphTo3D : Command
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 182

Gets the command to morph to 3D.

#### morphToColumbusView : Command
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 194

Gets the command to morph to Columbus View.

#### scene : Scene
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 125

Gets the scene

#### sceneMode : SceneMode
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 45

Gets or sets the current SceneMode. This property is observable.

#### selectedTooltip : string
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 87

Gets the currently active tooltip. This property is observable.

#### toggleDropDown : Command
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 158

Gets the command to toggle the drop down box.

#### tooltip2D : string
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 59

Gets or sets the 2D tooltip. This property is observable.

Default Value: `'2D'`

#### tooltip3D : string
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 66

Gets or sets the 3D tooltip. This property is observable.

Default Value: `'3D'`

#### tooltipColumbusView : string
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 73

Gets or sets the Columbus View tooltip. This property is observable.

Default Value: `'Columbus View'`

### Methods

#### destroy()
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 211

Destroys the view model.

#### isDestroyed() → boolean
widgets/Source/SceneModePicker/SceneModePickerViewModel.js 204

##### Returns:

true if the object has been destroyed, false otherwise.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.